Table of Contents

Class: AbstractGroup | Twisted-0.19.0/twisted/im/basesupport.py
--- | ---
Methods |
--- | ---
__init__ getGroupCommands getTargetCommands
| __init__
    __init__ (
            self,
            name,
            baseClient,
            chatui,
            )
| getGroupCommands
    getGroupCommands ( self )
### finds group commands these commands are methods on me that start with imgroup_; they are called with no arguments
| getTargetCommands
    getTargetCommands ( self,  target )
### finds group commands these commands are methods on me that start with imgroup_; they are called with a user present within this room as an argument you may want to override this in your group in order to filter for appropriate commands on the given user

Table of Contents

This document was automatically generated on Sun Jul 14 19:52:38 2002 by HappyDoc version 2.0